Bug Launcher FR

  • Issue with the client

This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

  • Hello,

    this error occurs because your client doesn't have the french language pack installed. Unfortunately our downloadable client only supports English and German and the official Gameforge version is 4.8, so you cannot play with French settings, unless some other french player uploads his 4.7.5 l10n/FRA folder.

    We are sorry for the inconvenience.
  • Share